<!--
'THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
'WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
'INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
'OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
'PURPOSE

'------------------------------------------------------------------------------
'
' NAME: Read.asp
'
' FILE DESCRIPTION: Displays a single headline
'
' Copyright (c) CdoLive 1999. All rights reserved.
'               Http://www.cdolive.com
'               Mailto:samples@cdolive.com
'
' Portions:
' Copyright (c) Microsoft Corporation 1993-1997. All rights reserved.
'
'------------------------------------------------------------------------------
-->
<!--#include file = "global.inc"-->
<!--#include file = "cdoprops.inc"-->
<!--#include file = "folder.inc"-->
<!--#include file = "logon.inc"-->
<%
	' Declare variables
	Dim objCDOAnonSession
	Dim objMessage
	Dim objRenderer
	Dim bstrObjID

	' Initialize variables
	Set objCDOAnonSession = Nothing
	Set objMessage = Nothing
	Set objRenderer = Nothing
	bstrObjID = ""

	' Check if anonymous MAPI session exists
	If CheckCDOAnonSession Then

		' Get MAPI session object
		Set objCDOAnonSession = Application("CDOAnonSession")
	Else

		' MAPI session does not exist, display error message
		Response.Write("Read.asp: Cannot logon to System")

		' Exit application
		Response.End
	End If

	' Check message index
	CheckIndex

	' Get message ID
	bstrObjID = Request.QueryString("obj")

	' Get item
	Err.Clear
	On Error Resume Next
	Set objMessage = objCDOAnonSession.GetMessage(bstrObjID, NULL)

	' Check possible errors
	If Err.Number <> 0 Then

		' Display error message
		Response.Write("Read.asp: Cannot open message: " & Err.Number & " : " & Err.Description)

		' Exit application
		Response.End
	End If

	' Set object renderer
	On Error Resume Next
	Set objRenderer = GetMessageRenderer

	' Check if object renderer is not set
	If objRenderer Is Nothing Then

		' Display error message
		Response.Write("Read.asp: Cannot get message information: " & Err.Number & " : " & Err.Description)

		' Exit application
		Response.End
	End If

	' Set object renderer datasource
	objRenderer.DataSource = objMessage
%>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.2//EN">
<html>
<head>
<title><%= APP_TITLE %></title>
</head>
<body>
<p>&nbsp;</p>
<div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="690">
	<tr>
		<td width="25%" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" colspan="5" height="21">&nbsp;<font face="Arial" size="3"><em><strong><%= APP_TITLE %></strong></em></font></td>
		<td width="25%" nowrap checked="false" colspan="7" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" height="21">&nbsp;</td>
		<td width="19" nowrap checked="false" height="21">&nbsp;</td>
		<td width="640" nowrap checked="false" colspan="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" height="21">&nbsp;</td>
		<td width="19" nowrap checked="false" height="21">&nbsp;</td>
		<td width="640" nowrap checked="false" colspan="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21">&nbsp;</td>
		<td width="19" nowrap checked="false" height="21">&nbsp;</td>
		<td width="640" colspan="10" nowrap checked="false" height="21"><% objRenderer.RenderProperty CdoPR_RTF_COMPRESSED, 0, Response %>
	</td>
		<td width="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21"></td>
		<td width="19" nowrap checked="false" height="21">&nbsp;</td>
		<td width="191" nowrap checked="false" colspan="3" height="21">&nbsp;</td>
		<td width="245" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" nowrap checked="false" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21"></td>
		<td width="19" nowrap checked="false" height="21">&nbsp;</td>
		<td width="191" nowrap checked="false" colspan="3" height="21">&nbsp;</td>
		<td width="245" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" nowrap checked="false" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21"></td>
		<td width="19" nowrap checked="false" height="21"></td>
		<td width="191" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" colspan="3" height="21">&nbsp;</td>
		<td width="245" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21"></td>
		<td width="19" nowrap checked="false" height="21"></td>
		<td width="19" nowrap checked="false" height="21"></td>
		<td width="172" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" colspan="2" height="21">&nbsp;</td>
		<td width="245" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="51" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="26" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="25" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" nowrap checked="false" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" height="21">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="11" height="21"></td>
		<td width="19" nowrap checked="false" height="21"></td>
		<td width="19" nowrap checked="false" height="21"></td>
		<td width="147" nowrap checked="false" height="21"></td>
		<td width="25" nowrap checked="false" height="21"></td>
		<td width="245" nowrap checked="false" height="21"></td>
		<td width="26" nowrap checked="false" height="21"></td>
		<td width="25" nowrap checked="false" height="21"></td>
		<td width="51" nowrap checked="false" height="21"></td>
		<td width="51" nowrap checked="false" height="21"></td>
		<td width="26" nowrap checked="false" height="21"></td>
		<td width="25" nowrap checked="false" height="21"></td>
		<td width="10" height="21">&nbsp;</td>
		<td width="10" height="21">&nbsp;</td>
	</tr>
	<tr>
		<td width="690" height="21" align="center" colspan="14">
		<form method="POST" action="folder.asp">
		<div align="center"><center><p>
		<input type="submit" value=" Back " name="B1"></p>
		</center></div></form></td>
	</tr>
</table>
</center></div>
</body>
</html>
